;;; SunnyDay.el Color-Mate standard definition file -*-emacs-lisp-*-

;; Copyright (C) HIROSHI Yokota

;; Author: Hiroshi Yokota <y5t0964@students.chiba-u.ac.jp>
;; Maintainer: Hiroshi Yokota <y5t0964@students.chiba-u.ac.jp>
;; Version: 9.0
;; Keywords: color color-mate
;; Content-Type: text/plain; charset=x-euc-jp

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;   Color-Mate  Ver.9.0
;;         by $B2#ED(B $BM5;W(B (y5t0964@students.chiba-u.ac.jp)
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;   Coloring mule/emacs to more easier and more fun.
;;   mule / emacs $B$G!"?'$r;HMQ$7$F8+$d$9$$2hLL$K$7$^$9!#(B
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; This file is part of Color-Mate

;; $Id: SunnyDay.el,v 9.3 1998/02/20 00:10:59 elca Exp $

(setq color-mate:color-ball
      '(
	(frame-background-color .          "AntiqueWhite")
	;(frame-foreground-color .         "black")
	;(frame-height . 40)
	;(frame-width . 80)
	(modeline-background-color . "green4")
	(modeline-foreground-color . "white")
	;(modeline-underlined . nil)
	(modeline-buffer-id-foreground-color . "cyan2")
	(modeline-mousable-foreground-color . "pink")
	(modeline-mousable-minor-mode-foreground-color . "palegreen")
	;(region-underlined . nil)
	(region-background-color . "white")
	(region-foreground-color . "navy")
	(cursor-color . "navy")
	(mouse-color . "red")
	;(menu-bar-lines . 1)
	;(mule-font . "default-fontset")
	;(emacs-font . "9x15")
	;(line-space . "1+1")
	))

;; for Emacs20
(if (and (>= (string-to-int emacs-version) 20)
	 (not (string-match "XEmacs" emacs-version)))
    (setq color-mate:color-ball
	  (append '((emacs-font . "fontset-standard")) color-mate:color-ball)))

;; for XEmacs20
(if (and (>= (string-to-int emacs-version) 20)
	 (string-match "XEmacs" emacs-version))
    (setq color-mate:color-ball
	  (append '((emacs-font . "-*-*-*-*-*-*-16-*-*-*-*-*-*-*"))
		  color-mate:color-ball)))

;; for "Mule for Windows"
;(if (eq window-system 'win32)
;    (progn
;      (setq color-mate:color-ball
;	    (append '((mule-font . "default"))
;		    color-mate:color-ball))))


;;; SunnyDay.el ends here
