#!/bin/sh
#$Id: configure.sh,v 9.2 1998/02/19 22:19:33 elca Exp $

echo "Please answer some questions..."

echo -n "Which emacs do you use? (default mule) "
read _EMACS
if [ x$_EMACS = x ]
then
    _EMACS=mule
fi

echo -n "Where to install? (default ~/elisp) "
read _INSTALL
if [ x$_INSTALL = x ]
then
    _INSTALL=$HOME/elisp/
fi

echo -n 'Do you want to use "kanakan-cursor"? [y/N] '
read y_n
if [ x$y_n = xy ]
then
    KANAKAN=kanakan-cursor
fi

if [ x$KANAKAN = xkanakan-cursor ]
then
    echo -n 'Do you want to use "skk-cursor2"(for skk Ver.9.6)? [y/N] '
    read y_n
    if [ x$y_n = xy ]
    then
	SKK2=skk-cursor2.el
	SKKC2=skk-cursor2.elc
    fi

    echo -n 'Do you want to use "skk-cursor"(for skk Ver.8.x)? [y/N] '
    read y_n
    if [ x$y_n = xy ]
    then
	SKK=skk-cursor.el
	SKKC=skk-cursor.elc
    fi

    echo -n 'Do you want to use "egg-cursor"? [y/N] '
    read y_n
    if [ x$y_n = xy ]
    then
	EGG=egg-cursor.el
	EGGC=egg-cursor.elc
    fi

    echo -n 'Do you want to use "canna-cursor"? [y/N] '
    read y_n
    if [ x$y_n = xy ]
    then
	CANNA=canna-cursor.el
	CANNAC=canna-cursor.elc
    fi

    echo -n 'Do you want to use "sj3-cursor"? [y/N] '
    read y_n
    if [ x$y_n = xy ]
    then
	SJ3=sj3-cursor.el
	SJ3C=sj3-cursor.elc
    fi

    echo -n 'Do you want to use "leim-cursor"? [y/N] '
    read y_n
    if [ x$y_n = xy ]
    then
	LEIM=leim-cursor.el
	LEIMC=leim-cursor.elc
    fi
fi


echo -n "Creating Makefiles... "

sed -e s/@KANAKAN@/$KANAKAN/ \
    -e s:@EMACS@:$_EMACS: \
    -e s:@INSTALLPATH@:$_INSTALL: \
    ./Makefile.in > ./Makefile

if [ x$KANAKAN = xkanakan-cursor ]
then
    sed -e "s/@EL_FILE@/$SKK $SKK2 $EGG $CANNA $SJ3 $LEIM/" \
        -e "s/@ELC_FILE@/$SKKC $SKKC2 $EGGC $CANNAC $SJ3C $LEIMC/" \
	-e s:@EMACS@:$_EMACS: \
	-e s:@INSTALLPATH@:$_INSTALL: \
	./kanakan-cursor/Makefile.in > ./kanakan-cursor/Makefile
fi

echo "done."

# end
